"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REQUIRED_SIGNALS_MAP = exports.SIGNALS_MAP = exports.HOOKS_MAP = exports.CONTENTCHILDREN = exports.CONTENT_CHILD_REQUIRED = exports.CONTENT_CHILD = exports.VIEWCHILDREN = exports.VIEWCHILD_REQUIRED = exports.VIEWCHILD = exports.INPUT_REQUIRED = exports.INPUT = exports.ON_DESTROY = exports.ON_INIT = exports.STYLE_TAG_REGEX = exports.TEMPLATE_TAG_REGEX = exports.SCRIPT_TAG_REGEX = exports.INVALID_METADATA_PROPERTIES = void 0;
exports.INVALID_METADATA_PROPERTIES = [
    'template',
    'standalone',
    'changeDetection',
    'styles',
    'outputs',
    'inputs',
];
exports.SCRIPT_TAG_REGEX = /<script lang="ts">([\s\S]*?)<\/script>/i;
exports.TEMPLATE_TAG_REGEX = /(<template>|<template lang="md">)([\s\S]*?)<\/template>/i;
exports.STYLE_TAG_REGEX = /<style>([\s\S]*?)<\/style>/i;
exports.ON_INIT = 'onInit';
exports.ON_DESTROY = 'onDestroy';
exports.INPUT = 'input';
exports.INPUT_REQUIRED = 'input.required';
exports.VIEWCHILD = 'viewChild';
exports.VIEWCHILD_REQUIRED = 'viewChild.required';
exports.VIEWCHILDREN = 'viewChildren';
exports.CONTENT_CHILD = 'contentChild';
exports.CONTENT_CHILD_REQUIRED = 'contentChild.required';
exports.CONTENTCHILDREN = 'contentChildren';
exports.HOOKS_MAP = {
    [exports.ON_INIT]: 'ngOnInit',
    [exports.ON_DESTROY]: 'ngOnDestroy',
};
exports.SIGNALS_MAP = {
    [exports.INPUT]: 'input',
    [exports.VIEWCHILD]: 'viewChild',
    [exports.VIEWCHILDREN]: 'viewChildren',
    [exports.CONTENT_CHILD]: 'contentChild',
    [exports.CONTENTCHILDREN]: 'contentChildren',
};
exports.REQUIRED_SIGNALS_MAP = {
    [exports.INPUT_REQUIRED]: 'input.required',
    [exports.VIEWCHILD_REQUIRED]: 'viewChild.required',
    [exports.CONTENT_CHILD_REQUIRED]: 'contentChild.required',
};
//# sourceMappingURL=constants.js.map