"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFrontmatterMetadata = void 0;
async function getFrontmatterMetadata(content) {
    const fm = await Promise.resolve().then(() => require('front-matter'));
    // The `default` property will be available in CommonJS environment, for instance,
    // when running unit tests. It's safe to retrieve `default` first, since we still
    // fallback to the original implementation.
    const frontmatterFn = fm.default || fm;
    const { attributes } = frontmatterFn(content);
    return `\n\nexport const metadata = ${JSON.stringify(attributes)}`;
}
exports.getFrontmatterMetadata = getFrontmatterMetadata;
//# sourceMappingURL=frontmatter.js.map